Bug 1671748 - Review Request: php-pecl-pcov - Code coverage driver
Summary: Review Request: php-pecl-pcov - Code coverage driver
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-01 14:24 UTC by Remi Collet
Modified: 2019-02-19 14:02 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-02-19 14:02:18 UTC
carl: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2019-02-01 14:24:58 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/pecl/php-pecl-pcov.git/plain/php-pecl-pcov.spec?h=fedora&id=12fe867d503edb3ad52062062313a3867759ac77
SRPM URL: http://rpms.remirepo.net/SRPMS/php-pecl-pcov-1.0.0-2.remi.src.rpm
Description: 
A self contained php-code-coverage compatible driver for PHP7.


Fedora Account System Username: remi


---

Alternative driver used by PHPUnit 8

Comment 1 Remi Collet 2019-02-01 14:25:34 UTC
BE AWARE than fedora-review is NOT able to download to proper spec file.

Comment 3 Remi Collet 2019-02-01 15:26:22 UTC
F30 scratch build
https://koji.fedoraproject.org/koji/taskinfo?taskID=32420853

Comment 4 Carl George 2019-02-06 22:21:54 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream checksum error, see source checksums below


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.


===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Source checksums
----------------
http://pecl.php.net/get/pcov-1.0.0.tgz :
  CHECKSUM(SHA256) this package     : fd656a7566118c9030e1f89802ecd64efaabca478a6382616628906fb7ca3eee
  CHECKSUM(SHA256) upstream package : 9e569d5cec18e3c188492ac7bd060b6f49d496a6a5d7a87e0e4ed7a521116703

Comment 5 Remi Collet 2019-02-07 06:21:09 UTC
> - Sources used to build the package match the upstream source, as provided in the spec URL.

Indeed, 1 commit missing, Looks like I forgot to refresh the archive after uploading it to pecl.

Good catch

SRPM fixed (same URL, I donj't think this worth a release bump)

Comment 6 Remi Collet 2019-02-07 06:55:16 UTC
FYI, the missing commit is https://github.com/krakjoe/pcov/commit/8afd1bef2cdd17e68c6b30d2e6451402064bce86 which is not relevant for RPM (only for installation via the pecl command)

Comment 7 Carl George 2019-02-07 14:17:01 UTC
Looks good now, PACKAGE APPROVED.

Comment 9 Gwyn Ciesla 2019-02-07 14:46:50 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-pecl-pcov

Comment 10 Fedora Update System 2019-02-07 15:04:26 UTC
php-pecl-pcov-1.0.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0a4ac3d14b

Comment 11 Fedora Update System 2019-02-10 04:27:53 UTC
php-pecl-pcov-1.0.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-0a4ac3d14b

Comment 12 Fedora Update System 2019-02-19 14:02:18 UTC
php-pecl-pcov-1.0.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.